//STAFMTJ1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Process a parameter passed from JCL or COBOL
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This is a sample program that shows how to do a variety of tasks
//* relating to parameter passing and parsing.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//*    ************
//*    * STAFMTJ1 *
//*    ********jcl*
//*         *
//*         *
//*         *
//*    ************     ************
//*    * SIMOCAPE *--*--* SIMOPARS *
//*    ************  *  ************
//*         *        *
//*         *        *  ************
//*         *        *--* SIMODATE *
//*         *        *  ************
//*         *        *
//*         *        *  ************     ************
//*         *        *--* SIMODUMP *-----* CONSOLE  *
//*         *        *  ********opt*     ******dsply*
//*         *        *
//*         *        *  ************
//*         *        *--* userprog *     * 4th & 7th Keywords
//*         *        *  ********opt*
//*         *        *
//*         *        *  ************
//*         *        *--* CONSOLE  *
//*         *           ********opt*
//*         *
//*         *
//*    ************     ************     ************
//*    * STAFMTC1 *-----* SIMOCAPE *--*--* SIMOPARS *    * Job Step 02
//*    ********cbl*     ************  *  ************
//*         *                         *
//*         *                         *  ************
//*         *                         *--* SIMODATE *
//*         *                         *  ************
//*         *                         *
//*         *                         *  ************     ************
//*         *                         *--* SIMODUMP *-----* CONSOLE  *
//*         *                         *  ********cbl*     ******dsply*
//*         *                         *
//*         *                         *  ************
//*         *                         *--* userprog *
//*         *                         *  ********opt*
//*         *                         *
//*         *                         *  ************
//*         *                         *--* CONSOLE  *
//*         *                            ********opt*
//*    ************
//*    *   EOJ    *
//*    ************
//*
//*
//* *******************************************************************
//* Step 1 of 2, Execute the COBOL parsing program with a parameter
//*                from JCL.
//*                Set NODEBUG to prevent tracing or dumping unless
//*                error.
//*
//STAFMTS1 EXEC PGM=SIMOCAPE,
//             PARM='STA NODebug id01 StaFmtC2 2001-1-1 17.50 call'
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//*
//* *******************************************************************
//* Step 2 of 2, Execute the COBOL demonstration program without
//*              a parameter from JCL. The demonstration program
//*              (STAFMTC1) will create a parameter string using the
//*              same callable interface that is required when passing
//*              a string from JCL to COBOL.
//*
//STAFMTS3 EXEC PGM=STAFMTC1
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//*
